Subject: bug#64795: 30.0.50; manual-entry [(1) fails

From: Michael Heerdegen <[email-masked]>
Date: Mon, 24 Jul 2023 02:15:28 +0200

Eli Zaretskii <[email-masked]> writes:

> Does the patch below give good results?

Thanks.  Yes, it fixes the man [(1) not completing and not displaying
problem.

However, man RET TAB displays [No match] now instead of showing all
completion candidates.

I searched for more problematic characters.  I found also "@" not
working, like in "journald@.conf (5)" or
"systemd-backlight@.service (8)".

I guess we need to add that character as well.  That's the only
one I found when looking through the output of "apropos '.'".

Thx,

Michael.